#pragma once

#include <thread>

namespace Juliet
{
    using Thread = std::thread;

    // TODO : Proper wait
    inline void wait_ms(int milliseconds)
    {
        clock_t start_time = clock();
        while (clock() < start_time + milliseconds)
        {
        }
    }
} // namespace Juliet
